xmonad-contrib-0.11.1: Third party extensions for xmonad

Portability | unportable
Stability | unstable
Maintainer | Spencer Janssen <spencerjanssen@gmail.com>
Safe Haskell | None

XMonad.Layout.TwoPane

Contents

- Usage

Description

A layout that splits the screen horizontally and shows two windows. The left window is always the master window, and the right is either the currently focused window or the second window in layout order.

Synopsis

- data TwoPane a = TwoPane Rational Rational

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.TwoPane

Then edit your `layoutHook` by adding the TwoPane layout:

     myLayout = TwoPane (3/100) (1/2)  ||| Full ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

data TwoPane a

Constructors

TwoPane Rational Rational |

Instances

LayoutClass TwoPane a |
Read (TwoPane a) |
Show (TwoPane a) |